<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * (c) MaxSite CMS
 * http://maxsite.org/
 * 
 * (с) Евгений Самборский
 * http://www.samborsky.com/
 * 
 * Начало работы: 03.06.2009
 * 
 **/
 
	# функция автоподключения плагина
	function robots_txt_autoload($args = array()){
		
		// Ставим хук на публикацию. При mso_new_page и mso_edit_page
		mso_hook_add('new_page_publish','robots_txt_do');
		mso_hook_add('edit_page_publish','robots_txt_do');
		
		if( is_type('admin') ){
			// хук на админку
			mso_hook_add('admin_init','robots_txt_init');
		}
	}
	
	# функция выполняется при активации (вкл) плагина
	function robots_txt_activate($args = array()){
}
	
	# функция выполняется при указаном хуке admin_init
	function robots_txt_init($args = array()){
		
		mso_admin_menu_add('plugins','robots_txt','Редактировать Robots.txt и htaccess');
		mso_admin_url_hook('robots_txt','robots_txt_admin_page');
		
		return $args;
	}
	
	# функция вызываемая при хуке, указанном в mso_admin_url_hook
	function robots_txt_admin_page($args = array()){
		
		mso_hook_add_dinamic('mso_admin_header',' return $args . "' . t('robots_txt') . '"; ' );
		mso_hook_add_dinamic('admin_title',' return "' . t('robots_txt') . ' - " . $args; ' );
		
		require(getinfo('plugins_dir') . 'robots_txt/admin.php');
	}	
	
	# Калбек-функция для хука
	function robots_txt_do($result = null){
	
		if( !is_array($list = mso_get_option('robots_txt_list','plugins')) ){
			$list = array();
		}
		
		$CI = &get_instance();
		$CI->load->library('xmlrpc');
		
		$CI->xmlrpc->method('weblogUpdates.ping');
		$CI->xmlrpc->request(array(
			mso_get_option('name_site', 'plugins' ),
			getinfo('site_url'),
			getinfo('site_url') . 'feed'
		));		
		
		foreach( $list as $key => $value ){
			
			if( !empty($value) ){
				$CI->xmlrpc->server($value,80);
				$CI->xmlrpc->send_request();
			}
		}
		
		// Удадалим кеш
		mso_flush_cache();
		
		return $result;
	}

?>